RCSDIFF(1)

NAME
rcsdiff - compare RCS revisions

SYNOPSIS
rcsdiff [-cnquV] [-kmode] [-rrev] [-xsuffixes] [-ztz] [diff_options] file ...

DESCRIPTION
The rcsdiff program is used to compare revisions of RCS files, in much the same way as the diff(1) utility. Differences between two specific revisions can be requested, as well as differences between the current working file and the latest revision of the default branch.

It is not possible to display differences between entire directories, or differences between more than two files. All diffs produced are in the standard diff format, unless the -u option is specified, which produces unified diffs.

rcsdiff also supports keyword substitution – see the rcs(1) man page for more information.

The following options are supported:

-c  Produces a diff with three lines of context. See diff(1) for more information.

-kmode
    Specify the keyword substitution mode.

-n  Produces a diff in the same format that is used in the RCS files.

-q  Be quiet about reporting.

-rrev
    Produces a diff with respect to revision rev. This option should be specified twice to generate a diff between two specific revisions. If only one revision is specified, diffing is done between that revision and the current working file.

-u  Produces a unified diff with three lines of context. See diff(1) for more information.

-V  Print RCS's version number.

-xsuffixes
    Specifies the suffixes for RCS files. Suffixes should be separated by the ‘/’ character.

-ztz
    Specify the date output format.

diff_options
    Most of the options documented in diff(1) may also be specified.

ENVIRONMENT

RCSINIT
    If set, this variable should contain a list of space-delimited options that are prepended to the argument list.

TMPDIR
    When set, this variable specifies the directory where temporary files are to be created. The default is set to /tmp.

EXIT STATUS
The rcsdiff utility exits with one of the following values:

0   No differences were found.
1   Differences were found.
2   An error occurred.

EXAMPLES
Compare the latest revision of the default branch with the content of working file foo.c:

    $ rcsdiff foo.c

Compare revision 1.7 and 1.8 of file foo.c and ignore differences in keyword values:

    $ rcsdiff -kk -r1.7 -r1.8 foo.c

SEE ALSO
ci(1), co(1), diff(1), ident(1), rcs(1), rcsclean(1), rcsmerge(1), rlog(1)

STANDARDS
The flag [-T] has no effect and is provided for compatibility only.